Bug 524888 - Review Request: vecmath - The 3D vector math Java package, javax.vecmath
Summary: Review Request: vecmath - The 3D vector math Java package, javax.vecmath
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 15:40 UTC by Susi Lehtola
Modified: 2009-10-21 16:23 UTC (History)
3 users (show)

Fixed In Version: 0-2.20090922cvs.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:37:51 UTC
giallu: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2009-09-22 15:40:48 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/vecmath.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/vecmath-0-1.20090922.fc11.src.rpm

Description:
The 3D vector math Java package, javax.vecmath.


rpmlint output is clean.

I need this to update Jmol to the 11.8 series.

Comment 1 Gianluca Sforna 2009-09-27 22:27:42 UTC
SPEC looks good, just some remarks:

* You should refine the steps needed to create the tarball, the tar command is not correct and I had to do a "cvs login" before the "cvs checkout". this is correctly explained in https://vecmath.dev.java.net/servlets/ProjectSource.

* I can't match the md5sum of the tarball, that's probably becasue xz is still a bit in "flux" or you used some options. If the former, please consider using the regular gz compression. I diffed the sources and thay match though.

* please consider adding the "cvs" string the release field, it looks like a "SHOULD" in https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages but often explicit is better than implicit.

Comment 3 Gianluca Sforna 2009-09-28 11:27:01 UTC
ok, thank you, thank looks much better now.

Of course, feel free to push upstream to do a proper release tarball (it does not look like there is much development there, it shouldn't be too hard to stick a release version label).


Anyway:
* package naming is correct
* License tag is correct and acceptable
* Sources matches upstream
* builds in mock for F11

all the rest is pretty much identical to the java ant spec template at:
http://fedoraproject.org/wiki/Packaging/Java#ant_2


this package is APPROVED

Comment 4 Susi Lehtola 2009-09-28 11:53:47 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: vecmath
Short Description: The 3D vector math Java package, javax.vecmath
Owners: jussilehtola
Branches: F-10 F-11 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2009-09-29 20:09:57 UTC
cvs done with F-12 branch added.

Comment 6 Fedora Update System 2009-09-30 10:20:24 UTC
vecmath1.2-1.14-5.fc10,vecmath-0-2.20090922cvs.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vecmath1.2-1.14-5.fc10,vecmath-0-2.20090922cvs.fc10

Comment 7 Fedora Update System 2009-09-30 10:22:43 UTC
vecmath1.2-1.14-5.fc11,vecmath-0-2.20090922cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vecmath1.2-1.14-5.fc11,vecmath-0-2.20090922cvs.fc11

Comment 8 Fedora Update System 2009-09-30 10:26:22 UTC
vecmath-0-2.20090922cvs.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/vecmath-0-2.20090922cvs.el5

Comment 9 Fedora Update System 2009-10-01 00:06:01 UTC
vecmath1.2-1.14-5.fc10, vecmath-0-2.20090922cvs.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vecmath1.2 vecmath'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10150

Comment 10 Fedora Update System 2009-10-01 00:07:09 UTC
vecmath1.2-1.14-5.fc11, vecmath-0-2.20090922cvs.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vecmath1.2 vecmath'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10156

Comment 11 Fedora Update System 2009-10-02 05:07:20 UTC
vecmath-0-2.20090922cvs.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vecmath'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0571

Comment 12 Fedora Update System 2009-10-21 00:37:40 UTC
vecmath1.2-1.14-5.fc11, vecmath-0-2.20090922cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-10-21 00:44:56 UTC
vecmath1.2-1.14-5.fc10, vecmath-0-2.20090922cvs.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-10-21 16:23:39 UTC
vecmath-0-2.20090922cvs.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.